
# dynamic_topic_modeling

> Run dynamic topic modeling.


<!-- README.md is generated from README.Rmd. Please edit that file -->


<!-- badges: start -->

<!-- badges: end -->

The goal of 'wei_lda_debate' is to build Latent Dirichlet Allocation
models based on 'sklearn' and 'gensim' framework, and Dynamic Topic
Model(Blei and Lafferty 2006) based on 'gensim' framework. I decide to
build a Python package, so this reposority will be updated. The new
reposority path is
<https://github.com/JiaxiangBU/dynamic_topic_modeling.git>.


1.  [LDA based on
    sklearn](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/sklearn-lda.ipynb)
2.  [LDA based on
    gensim](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/gensim-lda.ipynb)
3.  [Dynamic Topic
    Modeling](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/dtm.ipynb)


## Install

`pip install dynamic_topic_modeling`

## How to use


1.  [LDA based on
    sklearn](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/sklearn-lda.ipynb)
2.  [LDA based on
    gensim](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/gensim-lda.ipynb)
3.  [Dynamic Topic
    Modeling](https://nbviewer.jupyter.org/urls/jiaxiangbu.github.io/dynamic_topic_modeling/dtm.ipynb)


<h4 align="center">

**Code of Conduct**

</h4>

<h6 align="center">

Please note that the `dynamic_topic_modeling` project is released with a
[Contributor Code of
Conduct](https://github.com/JiaxiangBU/dynamic_topic_modeling/blob/master/CODE_OF_CONDUCT.md).<br>By
contributing to this project, you agree to abide by its terms.

</h6>

<h4 align="center">

**License**

</h4>

<h6 align="center">

Apache License (c) [Jiaxiang Li and Shuyi
Wang](https://github.com/JiaxiangBU/dynamic_topic_modeling/blob/master/LICENSE.md)

</h6>

<div id="refs" class="references">

<div id="ref-Blei2006Dynamic">

Blei, David M., and John D. Lafferty. 2006. "Dynamic Topic Models." In
*Machine Learning, Proceedings of the Twenty-Third International
Conference (Icml 2006), Pittsburgh, Pennsylvania, Usa, June 25-29,
2006*.

</div>

</div>
